package com.xinelu.manage.dto.nursestationconsumable;

import com.xinelu.common.annotation.Excel;
import com.xinelu.common.core.domain.BaseDomain;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Objects;

/**
 * @author wanghao
 * @create 2022/9/14 0014
 */
@Data
public class NurseStationConsumableImportlDTO extends BaseDomain implements Serializable {
    private static final long serialVersionUID = 1901885669841912320L;
    @Excel(name = "护理站名称")
    private String nurseStationName;

    @Excel(name = "耗材名称")
    private String consumableDetail;

    @Excel(name = "计量单位")
    private String consumableUnit;

    @Excel(name = "单价")
    private BigDecimal consumablePrice;

    /**
     * 护理站code
     */
    private String consumableCode;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 护理站id
     */
    private Long nurseStationId;

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        if (!super.equals(o)) {
            return false;
        }
        NurseStationConsumableImportlDTO that = (NurseStationConsumableImportlDTO) o;
        return Objects.equals(nurseStationName, that.nurseStationName) && Objects.equals(consumableDetail, that.consumableDetail);
    }

    @Override
    public int hashCode() {
        return Objects.hash(super.hashCode(), nurseStationName, consumableDetail);
    }
}